# core.builders.base – Axolotl

# core.builders.base

`core.builders.base`

Base class for trainer builder

## Classes

Name | Description
--- | ---
TrainerBuilderBase | Base class for trainer builder.

### TrainerBuilderBase

    core.builders.base.TrainerBuilderBase(cfg, model, tokenizer, processor=None)

Base class for trainer builder.

#### Methods

Name | Description
--- | ---
get_post_trainer_create_callbacks | Callbacks added after the trainer is created, usually b/c these need access to the trainer

##### get_post_trainer_create_callbacks

    core.builders.base.TrainerBuilderBase.get_post_trainer_create_callbacks(trainer)

Callbacks added after the trainer is created, usually b/c these need access to the trainer